Bug 831245 - dump-utmp Segmentation fault on ppc64
dump-utmp Segmentation fault on ppc64
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: psacct (Show other bugs)
6.2
All Linux
high Severity medium
: rc
: ---
Assigned To: Jaromír Cápík
Branislav Náter
: ZStream
Depends On:
Blocks: 836160 834216 834217 869966
  Show dependency treegraph
 
Reported: 2012-06-12 10:44 EDT by Branislav Náter
Modified: 2016-01-31 20:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 869966 (view as bug list)
Environment:
Last Closed: 2013-11-14 05:37:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
strace output of dump-utmp (2.28 KB, text/plain)
2012-06-12 10:44 EDT, Branislav Náter
no flags Details

  None (edit)
Description Branislav Náter 2012-06-12 10:44:44 EDT
Created attachment 591215 [details]
strace output of dump-utmp

Description of problem:
dump-utmp recieved SIGSEGV when trying to process /var/log/wtmp file.

Version-Release number of selected component (if applicable):
psacct-6.3.2-63.el6.ppc64

How reproducible:
always on ppc64

Steps to Reproduce:
1. run dump-utmp /var/log/wtmp 
  
Actual results:
Segmentation fault

Expected results:
correct output

Additional info:
gdb output:
# gdb dump-utmp
<snip>
Reading symbols from /usr/sbin/dump-utmp...Reading symbols from /usr/lib/debug/usr/sbin/dump-utmp.debug...done.
done.
(gdb) run /var/log/wtmp
Starting program: /usr/sbin/dump-utmp /var/log/wtmp

Program received signal SIGSEGV, Segmentation fault.
0x000000809e259834 in .strlen () from /lib64/libc.so.6
Missing separate debuginfos, use: debuginfo-install glibc-2.12-1.25.el6_1.3.ppc64
(gdb) t a a bt

Thread 1 (process 1159):
#0  0x000000809e259834 in .strlen () from /lib64/libc.so.6
#1  0x000000809e23b2b8 in ._IO_fputs () from /lib64/libc.so.6
#2  0x0000000010001cf8 in print_utmp_record (rec=0x10020070, out=0x809e3706a0) at utmp_rd.c:121
#3  0x0000000010001000 in main (argc=<value optimized out>, argv=0xffffffff188) at dump-utmp.c:113
Comment 1 Jaromír Cápík 2012-06-20 12:27:59 EDT
I've already fixed the issue. Other architectures are affected too (no crash, but incorrect timestamps).

Note You need to log in before you can comment on or make changes to this bug.